Bug 155631 - Ethernet adapter does not install
Ethernet adapter does not install
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: FutureFeature
Depends On:
Blocks: 155743
  Show dependency treegraph
 
Reported: 2005-04-21 20:20 EDT by Kostadin Koruchev
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 09:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostadin Koruchev 2005-04-21 20:20:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Red Hat/1.0.3-1.4.1 Firefox/1.0.3

Description of problem:
The kernel does not recognize my ethernet adapter.
kudzu determines the adapter as:

class: NETWORK
bus: PCI
detached: 0
device: eth2
driver: unknown
desc: "Marvell Technology Group Ltd. Fast Ethernet Controller"
vendorId: 11ab
deviceId: 4351
subVendorId: 1179
subDeviceId: ff00
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  0
pcifn:  0



Version-Release number of selected component (if applicable):
2.6.9-6.37 EL i686

How reproducible:
Always

Steps to Reproduce:
boot the system


Actual Results:  no device installed. I have tried to compile the driver from marvell.com,
but it does not evencompile. After some changes it compiles,
but modprobe does not install the device.


Expected Results:  eth0


Additional info:

System: toshiba tecra 3a.
no workaround found.
Also the screen is not recognized, but worarounf exists
Comment 1 John W. Linville 2005-04-22 09:47:21 EDT
The device is not supported in RHEL, and (i.e. because) it is not supported 
upstream.  If/when Marvell/SysKonnect gets its driver supported upstream, we 
will most likely take it into RHEL. 
 
However, you may be in luck.  I maintain a driver disk development kit, 
located here: 
 
   http://people.redhat.com/linville/ddiskit/ 
 
An update version of the sk98lin driver (which supports the device you are 
using) is included as an example.  Using the kit, you should be able to 
construct a Driver Update Disk.  The DUD can then be used to re-install RHEL 
using "linux dd" as the installation command. 
 
Good luck!  Feel free to contact me directly for issues w/ ddiskit.  However, 
please be aware that the driver itself is explicitly unsupported. 

Note You need to log in before you can comment on or make changes to this bug.